#include "ayn_sc8721.h"

#define i2c_sda 13
#define i2c_scl 14
#define ce 15

SC8721 sc8721(i2c_sda, i2c_scl, ce);

void setup() {
  // 退出停机模式，芯片启用
  sc8721.chipShutdown(1);
  sc8721.outputVoltage(3.3);
  sc8721.outputCurrentLimit(1.0);

  Serial.begin();  //开启USB－CDC
}

String str;
float voltage;

void loop() {
  // put your main code here, to run repeatedly:
  if (Serial.available()) {
    str = Serial.readString();
    voltage = str.toFloat();
    sc8721.outputVoltage(voltage);
    Serial.print(voltage);
    Serial.println(" Set ok");
  }
  delay(10);
}

